Introducing Outpost Firewall

The Outpost Personal Firewall system is the world's most advanced firewall software, combining power and advanced features with a remarkably easy-to-use interface. To effectively use Outpost Firewall, you do not need to know the inner workings of Windows. Our engineers specifically configured the default settings for you. You can change any of these many settings at any time, of course.

A tremendous strength of Outpost Firewall is its modular organization. Outpost Firewall's capabilities are implemented as modules, files with the .dll extension. Each module is independent and can easily be added to an installed system.

These are some of Outpost Firewall's many strengths:

  • It can be used immediately after installation without any customization.

  • It lets you easily create a secure configuration very quickly using system prompts and default settings without interrupting your work.

  • The interface performs very complicated adjustments to the security of your system with just a few keystrokes.

  • Many settings can be used to restrict network access both to your computer and from your applications. Advanced users can also adjust service protocols and create special security facilities as required.

  • Stealth mode so other networked computers cannot even detect your computer.

  • The modular structure of the system lets you add new protective modules in the form of plug-ins.

  • The system is compatible with all versions of Windows 95/98/2000/ME/NT and XP.

  • It has impressively minimal system requirements.

  • You can restrict a list of applications having access to the network and specify acceptable protocols, ports and directions of access (incoming or outgoing) for each of these applications.

  • Block or restrict non-requested information being sent to your computer, in particular: Banner advertisements, Pop-up windows on web pages and inappropriate content data from specific web pages.

  • Restrict or prohibit the actions of program components built into web pages, such as Java applets, ActiveX scripts and JavaScript.

  • Restrict or prohibit the use of cookies.

  • Specify a zone of "friendly" IP addresses (available only in Outpost Firewall Pro. See Benefits of Outpost PRO), your own LAN for example. In this zone, Outpost Firewall does not control or restrict network exchange.

  • Check e-mail attachments.

  • Warns of any indication of someone attempting an attack of your computer from any other computer and instantly prevents access.

For more information about Outpost Firewall please visit http://www.agnitum.com/products/outpost/


Understanding Internet Dangers

We have all heard of the dangers of the Internet and Cyberspace. Although some of these have been greatly exaggerated, it does not alter the fact that a computer connected to the Internet is open to very real attacks. Unfortunately, there are psychotics and criminals (possibly the same thing) who feel compelled to make life difficult for others. Some of these know about computers and how to access files remotely. These are called crackers. To keep them out of our systems we need to use a strong firewall.

Here are the main dangers:

  • Unauthorized applications can be delivered to your computer and be executed without your knowledge or control (for example, ActiveX or Java applets embedded in a web page you are browsing). These programs can perform any operation on your computer, including transferring files containing your private information to other computers or simply erasing all the files on your system.

  • If your system is incorrectly configured (NetBIOS or Remote Procedure Call , for example, are installed by Windows by default) other computers can access your files directly without someone having to surreptitiously load special software on your computer.

  • Some information (in the form of cookies or referrers ) can be placed on your computer, so advertisers and others can track the sites you visit and what your interests are.

  • Trojan horses can be placed on your computer. Trojans are programs used by crackers that open the door to your private information, such as passwords, banking data and credit card numbers. One of the fundamental differences between a Trojan and a virus is a virus on your computer executes autonomously, whereas a Trojan horse is constructed to be used directly by the intruder who sent it.

  • Unnecessary data in the form of banners and other advertisements use up your bandwidth. Although these objects cannot directly access or damage the data on your computer, they can significantly slow your connection, especially on a dial-up.

  • Spyware are programs that gather information about you and your interests. Some of America's on-line corporations are placing this software on home computers without the owner's knowledge or permission.


Contacting Technical Support

If you need help with the Outpost Personal Firewall system, please visit its support pages at http://www.agnitum.com/support/ for available support options including FAQs, Documentation, Forum, tips-n-tricks and Troubleshooting.

If you are using the free version of Outpost Firewall, we cannot also supply free personalized support. If you are unable to find the answer to your question from our web pages, please look through the Outpost Firewall Forum at http://www.agnitum.com/forum/ and post your question if it has not already been answered there.

Related Topics

Benefits of the Outpost PRO


How to Order

Outpost Firewall is a free product. The more advanced Outpost Firewall PRO is "Shareware". This means that we have made the software available to you for free evaluation. You are entitled to evaluate the software for up to 30 days without obligation to pay. After 30 days, if you decide to keep the software, you must register your copy with us for a small fee.

If you are not sure which version you need, Outpost Firewall or Outpost Firewall PRO, please visit http://www.agnitum.com/products/outpost/profree.html to help you decide.

For pricing information please visit http://www.agnitum.com/purchase/.

Related Topics

Benefits of the Outpost PRO


Benefits of the Outpost PRO

Here is a list of features that you will find only in Outpost PRO:

Feature

Your Benefits

General

Multiple configurations

  • Can create different configurations for you and your family or colleagues.

  • Can prevent your children from accessing unwanted sites (sex, games, bomb making), from playing online games or chatting.

  • Can switch, using one mouse click, between "Work", "Rest", "I am away", "Block Everything", and "Children" configurations.

  • Can back up your configurations.

Using password protection

  • Can protect your settings so they cannot be changed without your permission.

Apply rules without need of interface

  • Can block unwanted traffic or content in a way that's completely hidden from users' eyes.

  • Can run as a service without need of an interface, thus saving your computer system resources.

Rule Creation

Specifying time intervals

  • Can allow or block applications depending on the time of a day and day of the week.

Reporting of important activity

  • Can have Outpost show a message box when a particular rule is triggered. For example, a warning message appears whenever someone connects to your PC or when some spyware on your computer tries to send your personal information over the Internet.

Running application if rule is triggered

  • If a rule is triggered, Outpost can launch any application or play any sound or even shutdown the computer! For example, if your children decide to play an online game, then a warning text from the parent can be shown and the online game is blocked.

System add Application Independent Rules

  • You can create a rule that will be applied to all applications.

  • You can create a rule that will allow or block low level system network activity.

  • You can create not only application level rules but also network rules based on particular IP addresses.

Trusted zone

  • One click configuration to allow all network activity for trusted home or work place computers.

Logging

Advance filtering of the Allowed and Blocked logs

  • Can get a one-mouse-click report including the history of each application's activity or each connection to your computer, whether allowed and blocked.

Exporting log files

  • Can export logs for back up purposes.

  • Can export logs for future analysis, for example, with Microsoft Excel or other third party applications.

Related Topics

How to Order

Contacting Technical Support


Outpost Firewall's Main Window

The main window is your central control panel of Outpost Firewall. It is used to monitor the network operations of the computer and to modify the firewall settings.

To display Outpost Firewall's main window:

  1. Right-click on the Outpost Firewall icon in the system tray to get the context menu.

  2. Select Show Outpost Firewall.

The main window contains:

  • Outpost Firewall's menu

  • The tool bar

  • Folder bar

  • Left Panel

  • Information Panel

  • Status bar


Left Panel

  • All Connections—all objects having a network connection.

  • Established—all objects with an established network connection.

  • Open Ports—all objects with an open port for a network connection.

  • Incoming—all remote objects that are connected to your computer.

  • Outgoing—all objects that opened a connection to a remote network node.

  • Allowed shows a log of all the applications and connections that Outpost Firewall allowed, whether the connection is still active or not. The listing is arranged most recent first (reverse date/time order).

  • Blocked shows the log of all the applications and connections that Outpost Firewall blocked, listed most recent first.

  • Reported is the log of all the attempts by applications and connections to access the Internet or LAN that you specified Outpost Firewall to report to you.

  • Ads displays a list of all the ads that were blocked.

  • Content displays all the web sites or pages that were blocked by this plug-in and the reason why.

  • DNS Cache displays the web addresses saved by Outpost Firewall to speed up your Internet connection to those sites.

  • Active Content displays the sites that had some of its active content blocked based on the settings for Java, VB Script, ActiveX and other active content elements.

  • Attachments Filter shows all the e-mail file attachments that were neutralized and quarantined from your computer

  • Attack Detection shows any suspected attacks on your computer from the Internet, the ports involved and where the attacks are from.

Outpost Panels

The Left Panel and Information Panel are similar to the left and right panels of Windows Explorer. The Left Panel is a listing of the components and the Information Panel gives specific data about any component highlighted in the Left Panel.

There are two groups of objects shown in the Left Panel.

  • Outpost Connection Monitor objects (click to expand)

  • Outpost Log System objects (click to expand)

As with Windows Explorer, any line that starts with a plus sign (+) can be expanded to show each of its subcategories. Any line starting with a minus sign (-) shows that the line has already been expanded. By clicking on the minus sign, all of its subcomponents can be hidden so only the type of component is displayed to conserve screen space.

Related Topics

About Outpost Connection Monitor

About Outpost Log System


The System Tray Menu

Outpost in the System Tray

The system tray is the right most part of the Windows task bar. The blue circle with the question mark is Outpost Firewall's icon.

This icon is one of the primary ways you can access Outpost Firewall's many controls, settings and logs. This icon changes with each of Outpost Firewall's major polices so you can see which policy is being used to protect your system at any time. These polices are covered in Firewall Policy.

When you right-click on Outpost Firewall's system tray icon you get its context sensitive menu. You can select any of these items on this menu by clicking its name with your mouse:

  • Show Outpost Firewall displays Outpost Firewall's main window.

  • Policy opens a sub-menu where you can change Outpost Firewall's Policy to: Disable mode, Allow most mode, Rules Wizard, Block most mode or Stop all.

  • Options… displays the Options dialog window.

  • Always on top when selected, keeps Outpost Firewall's current window on top of all other windows.

  • About… shows the current version of Outpost Firewall and lists each module in the package and their individual versions.

  • Exit Closes Outpost Firewall's GUI but leaves the firewall running in memory blocking connections and banners, etc.

  • Exit and shutdown Outpost Firewall Closes the GUI and stops the firewall so Outpost Firewall is no longer protecting your system.


The Toolbar

The toolbar is close to the top of the main window. You can see what each button does by holding your cursor over it for a second or so. Each button on the toolbar is a shortcut to a menu item except the update button. These buttons are simply an easy and direct path to their functions rather than having to go through several different menus or dialog windows to access these same functions.

Here are all the buttons found on the Toolbar:

Button | Function | Corresponding Menu Path
 | Changes Outpost Firewall's overall Policy | Options | Policy
 | Accesses the Options dialog window | Options
 | Changes the items a listing is grouped by | View | Group by
 | Filters a log listing of data inapplicable to your search | View | Filter
 | Cancels filtering of a log listing | View | Filter | Show all events
 | Narrows a log listing to a specific data type and value | Right click on Allowed, Blocked or Reported for context menu then select Filter By Selection
 | Narrows a log listing to events within a specified time | Right click on Allowed, Blocked or Reported for context menu then select Filter By Time
 | Checks for an update of Outpost Firewall's plug-ins or software | (No other way to access this function directly)
 | Displays Outpost Firewall's About screen | Help | About Outpost Firewall
Note

Only some of these buttons are visible (active) at any one time, depending on what is highlighted in the Left Panel or the Information Panel.


The Status Bar

The status bar is the bottom most part of the Outpost Firewall main window.

It displays:

  • A tool tip—description of any tool bar button you place your mouse cursor over.

  • FW (Firewall) counter showing the number of packets rejected by the Firewall.

  • Web counter that shows the number of active web elements blocked.


Outpost Connection Monitor

Outpost Connection Monitor shows the currently active connections and the details of these connections. Outpost Connection Monitor shows:

  • All Connections—all objects having a network connection.

  • Established—all objects with an established network connection.

  • Open Ports—all objects with an open port for a network connection.

  • Incoming—all remote objects that are connected to your computer.

  • Outgoing—all objects that opened a connection to a remote network node.

The following topics give you more information about customizing Outpost Connection Monitor:

Selecting the items to be displayed

Grouping connections

Sorting Connection

Configuring columns to be displayed


Selecting the items to be displayed

To select an Outpost Connection Monitor object to be displayed:

  1. Click on My Internet

  2. Select View from Outpost Firewall's menu

  3. Select Layout

  4. Check the items you want to be displayed and uncheck the items you want to hide

Related Topics

Grouping connections

Sorting Connections

Configuring columns to be displayed


Grouping connections

Group By is a very useful selection on Outpost Firewall's View menu. Using it, you can get the information you need very quickly. Normally, the information is grouped by application, which is generally the most useful grouping of information.

To access the Group By selection:

  1. Highlight in the Left Panel one of the Outpost Connection Monitor objects (All Connections, Established, Open Ports, Outgoing, Incoming).

  2. Click on the View menu.

  3. Select Group By and then select one of the criteria:

    • Application (default)

    • Local Host (your computer)

    • Local Port (on your computer)

    • Direction (incoming or outgoing)

    • Remote Host (a computer other than yours)

    • Remote Port (on the other computer)

Related Topics

Selecting the items to be displayed

Sorting Connections

Configuring columns to be displayed


Sorting Connection

To sort objects displayed in the Information Panel:

  1. Select one of the lines in the Information Panel.

  2. Click on the View menu.

  3. Select Sort By and then select one of the criteria:

    • Application

    • Start Time

    • Remote Host

    • Direction

    • Remote Port

    • Protocol

    • Local Port

    • Send

    • Received

    • bps (speed of connection)

Note

With the Sort By menu you can also select the sorting order: Ascending or Descending.

Related Topics

Selecting the items to be displayed

Grouping connections

Configuring columns to be displayed


Configuring columns to be displayed

The Information Panel gives specific data about any component highlighted in the Left Panel. All connection details showing in the Information Panel can be divided into two groups:

  1. Column Headers—fields that are always shown

  2. Listed Fields—fields that are shown if you press the plus sign (+) that precedes each line in the Information Panel.

To configure Outpost Firewall to show in the Information Panel only those data in which you are interested:

  1. Highlight one of the Outpost Connection Monitor objects (All Connections, Established, Open Ports, Outgoing, Incoming).

  2. Select Columns from the View menu.

  3. Using the Add or Remove button, select the Column Headers and Listed Fields you want to be displayed in the Information Panel

Related Topics

Selecting the items to be displayed

Grouping connections

Sorting Connections


About Logs

The Logs shows the history of Outpost Firewall activity. These are the logs in Outpost Firewall:

  • Allowed shows a log of all the applications and connections that Outpost Firewall allowed, whether the connection is still active or not. The listing is arranged most recent first (reverse date/time order)

  • Blocked shows the log of all the applications and connections that Outpost Firewall blocked, listed most recent first.

  • Reported is the log of all the attempts by applications and connections to access the Internet or LAN that you specified Outpost Firewall to report to you.

Some Outpost Firewall plug-ins are included in the set-up package that you downloaded from Agnitum's web site. Each plug-in has its own icon in the Left Panel and the log of its activity is displayed in the Information Panel. When Outpost Firewall is first installed the Plug-Ins list contains the following modules:

  • Ads displays a list of all the ads that were blocked.

  • Content displays all the web sites or pages that were blocked by this plug-in and the reason why.

  • DNS Cache displays the web addresses saved by Outpost Firewall to speed up your Internet connection to those sites.

  • Active Content displays the sites that had some of its active content blocked based on the settings for Java, VB Script, ActiveX and other active content elements.

  • Attachments Filter shows all the e-mail file attachments that were neutralized and quarantined from your computer.

  • Attack Detection shows any suspected attacks on your computer from the Internet, the ports involved and where the attacks are from.

The following topics give you more information about Outpost Log System:

Viewing log

Selecting the logs to be displayed

Filtering of events to be displayed

Configuring columns to be displayed

Clearing events from all logs

Exporting log files as a text file

Copying the text from log

Changing log settings


Viewing logs

To view one of the Outpost Logs:

  1. Right-click on the Outpost Firewall icon in the system tray to get the context menu.

  2. Select Show Outpost Firewall.

  3. Left click on the appropriate item in Left Panel.

Related Topics

Selecting the logs to be displayed

Filtering of events to be displayed

Configuring columns to be displayed

Copying the text from log


Selecting the logs to be displayed

To display an Outpost System Log:

  1. Click on My Internet

  2. Select View from Outpost Firewall's menu

  3. Select Layout

  4. Check the items you want to be displayed and uncheck the items you want to hide.

Related Topics

Viewing log

Filtering of events to be displayed

Configuring columns to be displayed


Filtering of events to be displayed

Available only in Outpost Firewall Pro. See Benefits of Outpost PRO.

Filters limit the amount of information displayed for the Allowed, Blocked and Reported items of the Left Panel so you do not have to search through data inapplicable to the analysis you are conducting. To filter Outpost Connection Monitor object to be displayed:

  1. Highlight Allowed, Blocked or Reported items of the Left Panel.

  2. Select View

  3. Select Filter

  4. Use Filter dialog to limit the Information Panel's listing

  5. Pressing the OK button, the filter is applied.

To show all events and cancel the filter, press the Show All Events button [image] on the tool bar.

Note

You can narrow a log listing to show only the events from the current session, the events of today or all events by pressing the [image] button.

Related Topics

Viewing log

Selecting the logs to be displayed

Configuring columns to be displayed


Configuring columns to be displayed

To configure Outpost Firewall to show you only the data you are interested in within the Information Panel:

  1. Highlight Allowed, Blocked or Reported items of the Left Panel.

  2. Select Columns.

  3. Select the columns you want displayed in your log by putting a checkmark in its square. An empty square means that item will not be displayed.

  4. Arrange the sequence of the columns in your log by using the Move Up and/or the Move Down buttons. The highlighted line will move up or down depending on which of these buttons is pressed.

  5. Press OK

Note

You can set up different columns to be displayed for different logs.

Related Topics

Viewing logs

Selecting the logs to be displayed

Filtering of events to be displayed

Copying the text from log


Clearing events from all logs

To clear all events from all logs:

  1. Select Tools

  2. Select Clear All Log Information

Related Topics

Exporting log files as a text file

Changing log settings


Exporting log files as a text file

Available only in Outpost Firewall Pro. See Benefits of Outpost PRO.

To export log files as a text file:

  1. Select Tools

  2. Select Export Log Files

  3. Specify the folder where files will be exported

  4. Press OK.

Related Topics

Viewing logs

Clearing events from all logs

Exporting log files as a text file

Copying the text from a log

Changing log settings


Copying the text from log

Copying the text from a log

To copy the text from a log:

  1. Right click on the line you want to copy in the Information Panel

  2. Select Copy Log Text.

Related Topics

Viewing logs

Configuring columns to be displayed

Copying the text from a log


Changing log settings

To change log settings:

  1. Select Options from Outpost Firewall's menu

  2. Select General

  3. Select Log File Settings

  4. Set the Maximum Log File Size

  5. In Overwrite events field set how long you want to keep the log entries before overwriting them.

Related Topics

Selecting the logs to be displayed

Filtering of events to be displayed

Configuring columns to be displayed

Changing log settings


Firewall Policy

One of the most useful and important features of Outpost Firewall is its policies. A policy is the basic attitude you want Outpost Firewall to have in doing its job of policing your computer's access to and by the Internet or any other network your computer may be connected to. The policy of Block most, for example, gives Outpost Firewall a particularly nasty attitude but Allow most makes Outpost Firewall very trusting.

Here are the different polices:

Icon | Mode | Description
 | Stop all | All network connections are blocked.
 | Block most | All network connections are blocked except those you explicitly allow.
 | Rules Wizard | Helps you determine how an application will interact with the network the first time each application is run.
 | Allow most | All network connections are allowed except those you explicitly block.
 | Disable | All network connections are allowed.

The icon shown for each mode is what is displayed in the system tray as the Outpost Firewall icon. You can tell at a glance what mode Outpost Firewall is in by looking at its system tray icon.

Related Topics

Outpost in the System Tray

Changing Firewall Policy

Running in Rules Wizard Mode


Changing Firewall Policy

To change an Outpost Firewall policy:

  1. Click on the Options menu

  2. Select Policy

  3. Change Outpost Firewall policy clicking on the appropriate icon.

Related Topics

What is a Firewall Policy

Running in Rules Wizard Mode


Running in Rules Wizard Mode

When Outpost Firewall is installed, the default mode is Rules Wizard mode. This mode helps you decide whether an application should be allowed a network connection. Rules Wizard facilitates the specifying of applicable network parameters for each type of application.

The Rules Wizard makes your life a little easier. Instead of having to create a new and often complex rule each time a new application is run, Rules Wizard does the work for you by basing its presets on all well-known applications. Rules Wizard even recommends the best selection for you. Unless you know of a better choice, simply okay Outpost's recommendation.

The choices you can make for an application in Rules Wizard mode are as follows:

Choice | Purpose | Result
Allow all activities for this application | For applications you trust completely | All network requests by this application are allowed and the application is given the status Trusted Application.
Block all activities for this application | For applications that should not be allowed network access | All network activities for this application are disabled. The application is given the status Blocked application.
Create rules using preset | For applications that can obtain network access under specific protocols, via specific ports, etc | Creates a rule for the application that limits network access to specific ports and protocols using presets worked out by our engineers that are optimum for most purposes. This application will be included in the Partially allowed applications list.
Allow once | For applications that you are doubtful of but want to see what they do with the connection | This network connection is allowed this time. The next time this application tries to establish a network connection, this same dialog window appears. No rule is created for the application.
Block once | For applications that you do not trust but do not want to block totally | This network connection will be blocked this time. The next attempt by this application to establish a network connection results in this same dialog window. No rule is created for the application.

You can also create your own rule for an application rather than select one of the presets. To create a rule:

  1. Click on the down arrow at the right side of the Create rules using preset pull down

  2. Go right to the last selection at the bottom of the pull-down list and select Other

  3. Click the OK button.

This brings up the Rules dialog where you can create any rule for this application. For more information about creating such rules read the Application rules chapter.

Note

The Allow Once and Block Once buttons are available only for some connections (outgoing TCP connections). When these functions are unavailable, their buttons are grayed out.

Related Topics

Changing Firewall Policy

Running in Rules Wizard Mode


Application Level Filtering

One of Outpost's most important features is application level filtering. This lets you decide which applications should have access and which should not.

Outpost Firewall divides all applications into three categories:

  • Blocked—All activity of this group is blocked. We recommend that you add to this group all applications that do not need Internet access, such as text editors, calculators, etc.

  • Partially Allowed—Outpost Firewall allows access to the Internet for these applications based on the rules that were created by you manually or from presets. Only specified application activity is allowed. We advise that you put most of your applications in this group.

  • Trusted—All activity for these applications is allowed. It is not recommended that you include an application in this group unless you trust it absolutely.

Related Topics

Viewing List of Applications

Working with Application rules

System Level Filtering


List of Applications

Viewing List of Applications

To display all the applications that have rules:

  1. Select Options

  2. Select Application.

You will see the list of all applications that have rules sorted by their status (Blocked, Trusted, Partially Allowed).

Related Topics

Changing application status

Adding Applications

Removing Applications


Changing application status

To change an application's status:

  1. Select Options

  2. Select Application

  3. Highlight the application that needs to be changed

  4. Drag and drop this application, using the mouse, from one category to another or click on the Edit button.

Related Topics

Viewing List of Applications

Adding Applications

Removing Applications


Adding an Application

To add an application to the Outpost Firewall Application Filtering list:

  1. Select Options

  2. Select Application

  3. Click Add

  4. Browse to the folder where the application is stored and click on the application name

  5. Click Open.

After that, the application will be put in the application list and you can create rules for it.

Note

  • You can also directly add an application by dragging its icon from Windows Explorer or your desktop into the Options | Application dialog.

  • If you are using the default Outpost Firewall policy-Rules Wizard, there is no need to add your applications to these groups manually. Outpost Firewall will suggest the rules for it and add them to the application list the first time that application requests Internet access.

Related Topics

Working with application rules

Adding rules

Viewing List of Applications

Changing application status

Removing Applications


Removing Application

Removing an Application

To remove an application from Outpost Firewall's Application Filtering list:

  1. Select Options

  2. Select Application

  3. Highlight the application you want to remove

  4. Click Remove.

Related Topics

Viewing List of Applications

Changing application status

Adding an Application


Application rules

Working with Application rules

Outpost Firewall has a very easy, step-by-step rules creation algoritm. With it, you can:

  • List all rules for the application

  • Add a rule for application

  • Modify a rule for application

  • Copy a rule for application

  • Remove rule for application

  • Disable rule for application

  • Change rule priority

  • Create rules using presets


Listing rules

You can list rules for an application only if the application is already in the application list. To list a rule of a particular application:

  1. Select Options

  2. Select Application

  3. Highlight the application to list

  4. Click Edit

  5. In the drop down list, select Modify rules...

This will show you the list of all the rules application has.

Note

You can list rules only for applications that have Partially allowed status.

Related Topics

Copying rule

Disabling rule

Changing rule priority


Adding a rule

You can add a rule for an application only if the application is already in the application list. If it is not in this list you should Add it to the list. You can add a rule only for an application that has Partially allowed status.

To add a rule for an application:

  1. Select Options

  2. Select Application

  3. Highlight the application

  4. Click Edit

  5. In the drop down list, select Modify rules...

  6. You will see the list of all the rules the application has. Click Add

  7. Select the Event to which the rule applies. You can select the criteria for your rule in the Select Event window:

    • Protocol

    • Direction

    • Remote host and port

    • Local host and port

    • Time interval (available only in Outpost Firewall Pro. See Benefits of Outpost PRO).

  8. Selecting a checkbox, in the Select Event window, adds its message to the Rules Description field. If a rule is listed as undefined, you should click on it and select one of its options.

  9. Select an action for your rule in the Action field. It can be:

    • Allow it—Allows this communication.

    • Deny it—Drops the packet. The source is not notified so it appears that the packet never arrived at the destination.

    • Reject it—Drops the packet and sends "the host (or port) unreachable" message to the source.

    • Report it—Displays a message box when a rule is triggered (available only in Outpost Firewall Pro. See Benefits of Outpost PRO).

    • Run application—Runs any application when a rule is triggered (available only in Outpost Firewall Pro. See Benefits of Outpost PRO).

  10. Assign a name to the rule in the Name of the Rule field.

  11. Click OK.

Related Topics

Listing rules

Copying rule

Removing rule

Changing rule priority

Creating rules using presets


Modifying rule

Modifying a rule

To modify a rule for an application:

  1. Select Options

  2. Select Application

  3. Highlight the application

  4. Click Edit

  5. On the drop down list select Modify rules...

  6. Highlight the rule you want to modify

  7. Modify a rule by adding new criteria or clicking on a blue link in the Rule Description field and change its old values.

  8. Click OK.

Related Topics

Listing rules

Copying rules

Removing rules

Disabling rules

Changing rule priority


Copying rule

Copying rules

To copy a rule for an application:

  1. Select Options

  2. Select Application

  3. Highlight the application

  4. Click Edit

  5. On the drop down list select Modify rules...

  6. Highlight the rule you want to copy

  7. Press the Copy button.

After that, Outpost will create a copy of this rule.

Note

You cannot copy a rule from one application to another.

Related Topics

Adding rules

Listing rules

Removing rules

Disabling rules


Removing rule

Removing rules

To remove a rule for an application:

  1. Select Options

  2. Select Application

  3. Highlight the application

  4. Click Edit

  5. On drop the down list, select Modify rules...

  6. Highlight the rule you want to remove

  7. Press the Remove button.

Related Topics

Listing rules

Modifying rules

Disabling rules

Changing rule priority


Disabling rule

Disabling rules

To disable a rule for an application:

  1. Select Options

  2. Select Application

  3. Highlight the application

  4. Click Edit

  5. On the drop down list, select Modify rules...

  6. Uncheck the checkbox on the left site of the rule.

Related Topics

Listing rules

Removing rules

Changing rule priority


Changing rule priority

To change a rule priority of an application:

  1. Select Options

  2. Select Application

  3. Highlight the application

  4. Click Edit

  5. On the drop down list, select Modify rules...

  6. Highlight the rule to modify

  7. Click on Move up to increase the rule's priority or Move down to lower it.

  8. Click OK.

Important

Outpost Firewall uses the first instance of a rule having several criteria that match the application's activity and ignores all subsequent ones. The rules in the firewall rules list are processed in the order in which they are listed. Once a rule is matched, searching of the rules list stops. In other words, any other rules that match this type of communication are ignored, if they are further on the list than the first rule that matches.

Related Topics

Adding rules

Listing rules

Modifying rules

Disabling rules


Creating rules using presets

You can create a rule for an application only if the application is already in the application list. If this application is not in the list, you should Add it to the list.

To create a rule for an application using presets:

1. Select Options

2. Select Application

3. Highlight the application

4. Click Edit

5. On the drop down list, select Create Rules Using Presets...

6. Select the rules of the preset you want to add to this application.

Note

You can create a rule only for the applications that have Partially allowed status.

Related Topics

Adding rules

Listing rules

Copying rule

Changing rule priority


System Level Filtering

System Level Filtering is another level of packet filtering in Outpost Firewall besides Application Level Filtering. It consist of:

  1. System rules that let you create a rule that will be applied to all applications or rules that will allow or block low level system network activity.

  2. Stealth mode settings lets you decide if your computer will respond to port scans or will silently block them, putting your computer in "stealth mode" to crackers.

  3. ICMP filtering that lets you decide what types of ICMP message will be allowed or blocked.


System rules

Working with system rules

System rules can be used for two purposes:

  1. To create a rule that will be applied to all applications.

  2. To create a rule that will allow or block low level system network activity.

Right after installation, Outpost Firewall has built-in presets for the following system activities:

  • Allow DNS Resolving

  • Outgoing DHCP

  • Allow Inbound Identification

  • Allow GRE Protocol

  • Deny Unknown Protocols

  • Broadcast/Multicast

  • Allow Inbound/Outbound loopback.

Important

These settings are for advanced users only. If any are incorrectly changed for your system or network, it could result in your firewall not working as expected. In most cases, you do not need to change these rules or add yours.

Related Topics

Listing system rules

Adding system rules

Modifying system rules

Copying system rules

Removing system rules

Disabling system rules

Changing system rule priority


Listing system rules

To show a list of all system rules:

  1. Select Options

  2. Select System

  3. Click Settings in Global Application and System Rules field.

You will see a list of all the system rules sorted by their priority.

Related Topics

Copying system rules

Removing system rules

Disabling system rules

Changing system rule priority


Adding system rules

Available only in Outpost Firewall Pro. See Benefits of Outpost PRO.

To add a system rule:

  1. Select Options

  2. Select System

  3. Click Settings in Global Application and System Rules field

  4. Click Add

  5. Select the Event to which the rule applies. You can select the criteria for your rule in the Select Event window:

    • Protocol

    • Direction

    • Remote host and port

    • Local host and port

    • Time interval

  6. Selecting a checkbox, in the Select Event window, adds its message to the Rules Description field. If a rule is listed as undefined, you should click on it and select one of its options.

  7. Select an action for your rule in the Action field. It can be:

    • Allow it—Allows this communication.

    • Deny it—Drops the packet. The source is not notified, so it appears that the packet never arrived at the destination.

    • Reject it—Drops the packet and sends "the host (or port) unreachable" message to the source.

    • Report it—Displays a message box when a rule is triggered.

    • Run application—Runs any application when a rule is triggered.

  8. Assign a name to the rule in Name of the Rule field.

  9. Click OK.

Related Topics

Listing system rules

Copying system rules

Removing system rules

Changing system rule priority


Modifying system rules

Available only in Outpost Firewall Pro. See Benefits of Outpost PRO.

To modify a system rule:

  1. Select Options

  2. Select System

  3. Click Settings in Global Application and System Rules field

  4. Highlight the rule you want to modify

  5. Click Edit

  6. Modify a rule by adding new criteria or clicking on the blue links in Rule Description field and changing the old values

  7. Click OK.

Related Topics

Listing system rules

Copying system rules

Removing system rules

Disabling system rules

Changing system rule priority


Copying system rules

Available only in Outpost Firewall Pro. See Benefits of Outpost PRO.

To copy a system rule:

  1. Select Options

  2. Select System

  3. Click Settings in Global Application and System Rules field

  4. Highlight the rule you want to copy

  5. Click Copy.

After that Outpost Firewall will create a copy of this rule.

Related Topics

Listing system rules

Adding system rules

Removing system rules

Disabling system rules


Removing system rules

Available only in Outpost Firewall Pro. See Benefits of Outpost PRO.

To remove a system rule:

  1. Select Options

  2. Select System

  3. Click Settings in Global Application and System Rules field

  4. Highlight the rule you want to remove

  5. Click Remove.

Note

It is not recommended to remove a built-in System Rule. If you do not need it you can disable it.

Related Topics

Listing system rules

Modifying system rules

Disabling system rules

Changing system rule priority


Disabling system rules

To disable a system rule:

  1. Select Options

  2. Select System

  3. Click Settings in Global Application and System Rules field

  4. Highlight the rule you want to disable

  5. Uncheck the checkbox on the left site of the rule.

Related Topics

Listing system rules

Removing system rules

Changing system rule priority


Changing system rule priority

Available only in Outpost Firewall Pro. See Benefits of Outpost PRO.

To change a rule priority:

  1. Select Options

  2. Select System

  3. Click Settings in Global Application and System Rules field

  4. Highlight the rule to be modified

  5. Click on Move up to increase rule priority or Move down to lower it.

  6. Click OK.

Important

Outpost Firewall uses the first instance of a rule having criteria that match the system's activity and ignores all subsequent ones. The rules in the firewall rules list are processed in the order in which they are listed. Once a rule is matched, searching of the rules list stops. In other words, any other rules that match this type of communication are ignored, if they are further on the list than the first rule that matches.

Related Topics

Listing system rules

Adding system rules

Modifying system rules

Disabling system rules


ICMP Filtering

ICMP Filtering lets you specify the types and directions of ICMP messages allowed. The different types of ICMP messages are listed in Types of ICMP Messages.

If you wish to change what ICMP messages you want to allow and want to block:

  1. Select Options

  2. Select System

  3. Click Settings in ICMP field

  4. Uncheck the appropriate checkbox for the messages you want to block and check those messages you want to allow.

  5. Press OK.

Important

It is recommended that you do not change the ICMP settings unless you are certain that you are making the right changes. If any are incorrectly changed for your system or network, it could result in your firewall not working as expected.

Note

The Default button on the ICMP settings dialog resets all the ICMP settings to what they were when Outpost Firewall was first installed.


Switching to Stealth Mode

Normally, when your computer receives a connection request from another computer it lets the other computer know that this port is closed. In stealth mode, your computer will not respond, making it seem like it is not turned on or not connected to the Internet.

To switch Stealth mode on or off:

  1. Select Options

  2. Select System

  3. Select Stealth in Answer type field to make your computer "stealth" or select Normal to make your computer "visible".

Note

It is recommended that you keep Outpost Firewall in stealth mode unless you have some reason not to.


Settings for a Home of Office Network

About Settings for a Home or Office Network

A fundamental difference between a local area network (LAN) and the Internet is the level of trust you can have in each. A LAN used in the home or an office is generally comprised of "friendly" computers, computers belonging to or operated by other family members or fellow workers. Outpost Firewall supports a one click configuration to allow all network activity for trusted home or work place computers.

It is recommended that you use the following Outpost Firewall options to enable access other computers in a Home or Office Network:

  • NetBIOS Communications is recommended if you wish to allow only files and printer sharing

  • Trusted Zone (available only in Outpost Firewall Pro. See Benefits of Outpost PRO) is recommended if you wish to allow all network activity from and to remote computers.


NetBios Communication

About NetBIOS Communications

NetBIOS (Network Basic Input/Output System) is a basic network protocol for sharing files and printers over a network. NetBIOS is supported by IBM (IBM PC LAN), Novell NetWare, Microsoft Windows for Workgroups networks and networks of other companies.

The following topics describe how to use Outpost Firewall to control NetBIOS Communications:

Enabling NetBIOS Communications

Adding hosts to the allow list

Removing hosts from the allow list

Modifying hosts in the allow list

Note

Outpost Firewall blocks NetBIOS by default.

Related Topics

About Settings for a Home or Office Network

About Trusted Zone


Enabling NetBios Communication

Enabling NetBIOS Communications

To enable NetBIOS Comunications:

  1. Select Options

  2. Select System

  3. Check the checkbox in the NetBIOS field.

After you have enabled NetBIOS you should add hosts to its "allow list" Please read the

Adding hosts to the allow list chapter for more information.

Related Topics

About NetBIOS Communications

Adding hosts to the allow list

Removing hosts from the allow list

Modifying hosts in the allow list


Adding hosts to allow list

Adding hosts to the allow list

To allow a remote host to comunicate with your computer using the NetBIOS protocol:

  1. Select Options

  2. Select System

  3. Click on the Settings button in the NetBIOS field

  4. Select the format you wish to use to enter a remote address

    • Domain name (www.agnitum.com for example)

    • IP number (216.12.219.12 for example)

    • IP range (216.12.219.1 - 216.12.219.255 for example)

  6. Type the desired remote host address in the format you selected earlier

  7. Click on Add button

  8. Click OK.

Note

An active Internet connection is required if you wish to add a remote host in Domain name format because the IP address needs to be looked up directly over the Internet. The IP address is saved along with the domain name you enter and it is this IP address that is mostly used by Outpost Firewall.

Related Topics

About NetBIOS Communications

Enabling NetBIOS Communications

Removing hosts from the allow list

Modifying hosts in the allow list


Removing hosts from allow list

Removing hosts from the allow list

To remove a remote host from the list of hosts that can communicate via the NetBIOS protocol with your computer:

  1. Select Options

  2. Select System

  3. Click on the Settings button in NetBIOS field

  4. Select the remote host address you wish to remove

  5. Click on Remove button

  6. Click OK.

Related Topics

About NetBIOS Communications

Enabling NetBIOS Communications

Adding hosts to the allow list

Modifying hosts in the allow list


Modifying hosts from allow list

Modifying hosts in the allow list

To modify a remote host address in the list of hosts that can communicate via the NetBIOS protocol with your computer:

  1. Select Options

  2. Select System

  3. Click on the Settings button in NetBIOS field

  4. Click on the remote address you wish to modify

  5. Modify the remote address

  6. Click on Modify button

  7. Click OK.

Related Topics

About NetBIOS Communications

Enabling NetBIOS Communications

Adding hosts to the allow list

Removing hosts from the allow list


Trusted Zone

About Trusted Zone

Available only in Outpost Firewall Pro. See Benefits of Outpost PRO.

With Trusted Zone, you can allow all kinds of network communications with your home or office computers. It is very important to remember that Trusted Zone rules are given the highest priority possible. Even restricted applications can communicate with Trusted Zone hosts. We advise you to put ONLY your absolutely trusted computers into this zone. If you only need file and printer sharing, please use NetBIOS Settings rather than Trusted Zone.

The following topics describe how to use Outpost Firewall to control Trusted Zone settings:

Adding hosts to Trusted Zone

Removing hosts from Trusted Zone

Modifying hosts in Trusted Zone

Note

Trusted Zone is used only for home or office networks. Adding a web site to the Trusted Zone does not affect the settings of your plug-ins, which are part of a different system and are independent of the Trusted Zone module. Just because a web site is in the Trusted Zone does not mean that the plug-in settings no longer apply to that web site. For example, an ad that is blocked by the Ad plug-in will still be blocked in a Trusted Zone web site. To not have an ad blocked from a particular web site, you need to change the settings of the Ad plug-in.

Related Topics

About Settings for a Home or Office Network

About NetBIOS Communications


Adding hosts to Trusted Zone

Available only in Outpost Firewall Pro. See Benefits of Outpost PRO.

To add a remote host to Trusted Zone:

  1. Select Options

  2. Select Policy

  3. Click on the Change button in Trusted Zone field

  4. Select the format you wish to use to enter a remote address

    • Domain name (www.agnitum.com for example)

    • IP number (216.12.219.12 for example)

    • IP range (216.12.219.1 - 216.12.219.255 for example)

  5. Type the desired remote host address in the format you selected earlier

  6. Click on Add button

  7. Click OK.

Notes

  • An active Internet connection is required if you wish to add a remote host using Domain Name format because the IP address needs to be looked up directly over the Internet. The IP address is saved along with the domain name you enter and it is this IP address that is mostly used by Outpost Firewall.

  • Trusted Zone is used only for home or office networks. Adding a web site to the Trusted Zone does not affect the settings of your plug-ins, which are part of a different system and are independent of the Trusted Zone module. Just because a web site is in the Trusted Zone does not mean that the plug-in settings no longer apply to that web site. For example, an ad that is blocked by the Ad plug-in will still be blocked in a Trusted Zone web site. To not have an ad blocked from a particular web site, you need to change the settings of the Ad plug-in.

Related Topics

About Trusted Zone

Removing hosts from Trusted Zone

Modifying hosts in Trusted Zone


Removing host from Trusted Zone

Removing a host from Trusted Zone

Available only in Outpost Firewall Pro. See Benefits of Outpost PRO.

To remove a remote host from Trusted Zone:

  1. Select Options

  2. Select Policy

  3. Click on the Change button in Trusted Zone field

  4. Select the remote host address you wish to remove

  5. Click on Remove button

  6. Click OK.

Note

Trusted Zone is used only for home or office networks. Adding a web site to the Trusted Zone does not affect the settings of your plug-ins, which are part of a different system and are independent of the Trusted Zone module. Just because a web site is in the Trusted Zone does not mean that the plug-in settings no longer apply to that web site. For example, an ad that is blocked by the Ad plug-in will still be blocked in a Trusted Zone web site. To not have an ad blocked from a particular web site, you need to change the settings of the Ad plug-in.

Related Topics

About Trusted Zone

Adding hosts to Trusted Zone

Modifying hosts in Trusted Zone


Modifying host from Trusted Zone

Modifying a host in Trusted Zone

Available only in Outpost Firewall Pro. See Benefits of Outpost PRO.

To modify a remote host address in Trusted Zone:

  1. Select Options

  2. Select Policy

  3. Click on the Change button in Trusted Zone field

  4. Click on the remote address you wish to modify

  5. Modify the remote address

  6. Click on Modify button

  7. Click OK.

Note

Trusted Zone is used only for home or office networks. Adding a web site to the Trusted Zone does not affect the settings of your plug-ins, which are part of a different system and are independent of the Trusted Zone module. Just because a web site is in the Trusted Zone does not mean that the plug-in settings no longer apply to that web site. For example, an ad that is blocked by the Ad plug-in will still be blocked in a Trusted Zone web site. To not have an ad blocked from a particular web site, you need to change the settings of the Ad plug-in.

Related Topics

About Trusted Zone

Adding hosts to Trusted Zone

Removing hosts from Trusted Zone


About Outpost Plug-ins

One of Outpost Firewall's most useful and effective design strategies is the employment of plug-ins. These modules can be created by third party developers and easily added to increase Outpost Firewall's capabilities. If you are interested in developing Outpost Firewall plug-ins, please visit http://www.agnitum.com/products/outpost/developers.html for samples, tutorials and the developer's forum.

The following plug-ins are included in the distribution package:

  • Advertisement Blocking

  • Intrusion Detection

  • Content Filtering

  • Domain Name Cache

  • Active Content Filtering

  • Incoming File Guard.

The following topics describe how to use Outpost Firewall to control plug-ins:

Adding a Plug-in

Removing a Plug-in

Starting a Plug-in

Stopping a Plug-in

Changing a Plug-in's settings

Important

Plug-ins are absolutely independent from each other and the main Outpost Firewall module. Any rules that you create for an application in Outpost Firewall, such as the Trusted Zone settings, will not influence or apply to any plug-in's functionality.


Adding a Plug-in

To add a plug-in to Outpost's plug-in list:

  1. Select Options

  2. Select Plug-Ins Setup

  3. Click on Add

  4. Browse to the folder where you have installed the plug-in and click on its name

  5. Press OK.

Related Topics

Removing a Plug-in

Starting a Plug-in

Stopping a Plug-in

Changing a Plug-in's settings


Removing a Plug-in

To remove a plug-in from Outpost's plug-in list:

  1. Select Options

  2. Select Plug-Ins Setup

  3. Highlight the plug-in you want to remove

  4. Click on Remove.

Related Topics

Adding a Plug-in

Starting a Plug-in

Stopping a Plug-in

Changing a Plug-in's settings


Starting a Plug-in

To start Outpost's plug-in:

  1. Select Options

  2. Select Plug-Ins Setup

  3. Highlight the plug-in you want to start

  4. Click on Start.

Note

You can start only those plug-ins that have the status Stopped.

Related Topics

Adding a Plug-in

Removing a Plug-in

Stopping a Plug-in

Changing a Plug-in's settings


Stopping a Plug-in

To stop Outpost's plug-in:

  1. Select Options

  2. Select Plug-Ins Setup

  3. Highlight the plug-in you want to stop

  4. Click on Stop.

Note

You can start only those plug-ins that have the status Started.

Related Topics

Adding a Plug-in

Removing a Plug-in

Starting a Plug-in

Changing a Plug-in's settings


Changing a Plug-in settings

Changing Plug-in settings

To change the settings of Outpost's plug-in:

  1. Select Options

  2. Select Plug-Ins Setup

  3. Highlight the plug-in you want to change settings

  4. Click on Settings

Note

You can change the settings of Outpost's plug-in only plug-ins that has status Started.

Related Topics

Adding a Plug-in

Removing a Plug-in

Starting a Plug-in

Stopping a Plug-in


Updating Outpost Firewall

To check for newer components:

  1. Click the Start button on Windows' Task Bar.

  2. Select Programs.

  3. Then select Agnitum | Outpost Firewall 1.0 | Agnitum Update.

Note

The Outpost version is changed only after a reboot of your computer. If you simply restart Outpost, it will be the same version. To see what version is active, select from the menus Help - About

Related Topics

Automatically check for Updates

Selecting the Proxy Server

Selecting the Type of Update

Installing a new version manually


Automatically check for Updates

With Automatic Update, you never have to be concerned about the latest Internet threats. Outpost Firewall provides you with a convenient way of keeping itself updated via the Internet. Each day, Automatic update checks for newer components and plug-ins and if it finds any, it retrieves them for you.

To enable Automatic Update:

1. Select Help from Outpost Firewall's menu

2. Select Automatically check for Updates.


Selecting the Proxy Server

To select a Proxy server for Agnitum Update:

  1. Click the Start button on Windows' Task Bar.

  2. Select Programs.

  3. Select Agnitum | Outpost Firewall 1.0 | Agnitum Update

    • Click on the Settings button. Configure Proxy settings using the following options:

    • Auto Detect uses the proxy settings already specified in Microsoft Internet Explorer.

    • Use proxy server lets you specify the parameters of the proxy server that is to be used by Outpost Firewall's Automatic Update. The Server and Port fields become visible when you choose this option. Enter the name of your proxy server and its port number (port 8080 is the default). If your proxy server requires authorization, please check the appropriate checkbox and enter your username and password. If you are unsure what type of proxy you use or you do not know your username and password, please consult your system administrator.

    • Do not use proxy server if your system is not connected to the Internet through a proxy server.

4. Click OK.


Selecting the Type of Update

To select a type of update for Agnitum Update:

  1. Click the Start button on Windows' Task Bar.

  2. Select Programs.

  3. Select Agnitum | Outpost Firewall 1.0 | Agnitum Update.

  4. Then select one of the available options:

  • Automatic to have the system find all the components to be updated. Automatic is recommended so that all the components that have an update available will be updated together.

  • Custom for you to specify each component you want to be updated. Only advanced users should use this choice for debug purposes.

5. Press Next.

Related Topics

Custom Update


Custom Update

If you select Custom update, you will see the component selection dialog.

Any line in the components list that starts with a plus sign is a grouping of components. You can see the listing of these components by clicking on the plus sign. A red checkmark is a component that our engineers have determined must be updated for Outpost Firewall to avoid compatibility problems between modules and other selected components.

Check the components you want to update. De-select the components you do not want to update. It is recommended to update all components unless you are an advanced user and have some reason not to.


Installing new version manually

Installing a new version manually

To install a new version without using Agnitum Update:

  1. Very Important! Uninstall any earlier version of Outpost Firewall.

  2. Very Important! Reboot your computer.

  3. Download latest version from http://www.agnitum.com/download/

  4. Close all open applications.

  5. Install the newer version

  6. Reboot.

Related Topics

Updating Outpost Firewall

Automatically check for Updates


Multiple configurations

About Multiple configurations

Available only in Outpost Firewall Pro. See Benefits of Outpost PRO.

Outpost Firewall has very many settings. Being able to save several different configurations of these settings lets you:

  • Create different configurations for you and your family or colleagues.

  • Prevent your children from accessing unwanted sites (sex, games, bomb making), from playing online games or chatting.

  • Switch, using one mouse click, between "Work", "Rest", "I am away", "Block Everything", and "Children" configurations.

  • Back up your configurations.

The following topics describe how to use Outpost Firewall multiple configuration feature:

Creating a new configuration

Loading a configuration

Renaming a configuration

Saving a configuration


Creating a new configuration

Available only in Outpost Firewall Pro. See Benefits of Outpost PRO.

To create a new configuration:

  1. Go to the File menu

  2. Select New configuration

  3. Select Save Configuration as

  4. Browse to the folder where you want to store your configuration and input its name in the File Name field

  5. Click on Save.

Note

Your previous configuration will not automatically be saved. Please save your previous configuration before making a new one.

Related Topics

Loading a configuration

Renaming a configuration

Saving a configuration


Loading a configuration

Available only in Outpost Firewall Pro. See Benefits of Outpost PRO.

To load a previously saved configuration:

  1. Go to the File menu

  2. Select Load configuration

  3. Browse to the folder where you previously saved your configuration and click on the name of the configuration you want to load

  4. Click Load.

Note

Your previous configuration will not automatically be saved. Please save your previous configuration before loading a new one.

Related Topics

Creating a new configuration

Renaming a configuration

Saving a configuration


Renaming a configuration

Available only in Outpost Firewall Pro. See Benefits of Outpost PRO.

Load the configuration that you want to rename, if it is not already loaded. Then:

  1. Go to the File menu

  2. Select Save configuration as

  3. Browse to the folder where you want to store your configuration and input its new name in File Name field

  4. Click Save.

Related Topics

Creating a new configuration

Loading a configuration

Saving a configuration


Saving a configuration

Available only in Outpost Firewall Pro. See Benefits of Outpost PRO.

To save your configuration:

  1. Go to the File menu

  2. Select Save configuration.

Your current configuration will be saved.

Note

After you exit Outpost Firewall your configuration will be saved automatically.

Related Topics

Creating a new configuration

Loading a configuration

Renaming a configuration


About settings password protection

Available only in Outpost Firewall Pro. See Benefits of Outpost PRO.

You can safeguard the settings you give Outpost Firewall by selecting a password. This will prevent all the data you entered into Outpost Firewall from being changed. You can, for example, block access to objectionable sites for your children and know that your settings cannot be tampered with.

For more information about this topic please read:

Setting a password

Changing a password

Removing a password


Setting a password

Available only in Outpost Firewall Pro. See Benefits of Outpost PRO.

To password protect your settings:

  1. Go to Options menu

  2. Select General

  3. Select Enable in the Password Protection field

  4. Type a new password in the Enter the password field

  5. Type the same password in the Re-enter the password field

  6. Click OK.

Important

Remember your password!

Related Topics

About settings password protection

Changing a password

Removing a password


Changing a password

Available only in Outpost Firewall Pro. See Benefits of Outpost PRO.

To change a password for your settings:

  1. Go to Options menu

  2. Select General

  3. Select Set Password

  4. Type the old password in the Enter the old password field

  5. Type a new password in the Enter the password field

  6. Type the same password in the Re-enter the password field

  7. Click OK.

Important

Remember your password!

Related Topics

About settings password protection

Setting a password

Removing a password


Removing a password

Available only in Outpost Firewall Pro. See Benefits of Outpost PRO.

To remove a password from your settings:

  1. Go to the Options menu

  2. Select General

  3. Select Disable in the Password Protection field

  4. Type the old password in the Enter the old password field

  5. Click OK.

Related Topics

About settings password protection

Setting a password

Changing a password


Miscellaneous options

To open Outpost Firewall's miscellaneous options window:

  1. Go to Options menu

  2. Click General.

In the Miscellaneous area of the dialog is where you can select or deselect to have Outpost Firewall start automatically whenever your computer first starts. Select Minimize to System Tray to not have a button placed on the task bar for Outpost Firewall's main window whenever it is minimized. Instead of this, to see Outpost Firewall's main window, simply double-click on its system tray icon or right click on it and select Show Outpost Firewall.

If Close button minimizes, not exits interface is selected, then whenever you click on the close button only Outpost Firewall's dialog window will close, not the firewall. In this case, to close Outpost Firewall, right-click on its system tray icon and select Exit or Exit and Shutdown Outpost Firewall.

Select Apply rules without need of interface (available only in Outpost Firewall Pro. See Benefits of Outpost PRO) if you want Outpost Firewall to run in invisible mode, without its system tray icon or any of its dialog windows. This option is provided for two reasons: to save system resources and for a parent or Systems Administrator to block unwanted traffic or content in a way that's completely hidden from a user. In order for this option to take effect, you must disable the Run automatically at boot-up option.


Stopping Outpost Firewall

Closing Outpost Firewall's main window does not shut down the firewall. Its icon remains in the system tray.

There are two ways to shut down Outpost Firewall:

  • Right-click on the system icon to display the context menu. Select Exit and Shutdown Outpost Firewall. This closes the interface and stops the firewall so Outpost Firewall is no longer protecting your system.

  • When Outpost Firewall's main window is displayed, go to the File menu and select Exit. This closes Outpost Firewall's interface but leaves the firewall running in memory, blocking connections and banners, etc.

Important

When Outpost Firewall is shut down, its icon disappears from the system tray indicating that the firewall is no longer protecting your computer.


Glossary

ActiveX - is a technology for creating active web pages. This technology is implemented with the ActiveX control element-a dedicated program, for which the browser allocates an area of rectangular form, where this program is completely responsible for the interface with the user. The ActiveX technology supports fully automated installation. When the browser encounters an HTML link to the control element, it first checks if this element is already on the user's computer (i.e. if it was used before). If the control element is found, the browser starts it and transfers the data necessary for operation to it. If this component is not already available on the computer, the browser accesses the web address specified in the HTML document body, then downloads, installs and registers the new control element with Windows. This technology is rigidly bound to the specific operational environment of Windows 9x/NT.

Bandwidth - the maximum speed of data that can be sent or received on a connection. High bandwidth is needed to receive video or music and play it in real time.

Banner - is generally a rectangular, graphic representation of an advertisement in GIF or JPG format located on a web page with a hyperlink to the advertiser's server.

Broadcast - is a special kind of IP address used to dispatch a message to all nodes of a network. There are two forms: limited broadcast or limited broadcasting message - if every binary bit in the IP address is a 1, the package is dispatched to all network nodes from where the source of the package is. Broadcast or broadcasting message - if every binary bit in the node number in the address is a 1, then the package having such an address is dispatched to all network nodes with the specified number.

Client - is a computer or its software that accesses the Internet, as opposed to a server.

Context menu - a menu with selections that change depending on where the cursor is placed before the mouse's right button is clicked. A desktop icon's context menu is very different from a browser's web page context menu, for instance.

Cookie - is a small piece of information transferred by the server to a browser and saved on the user's computer. The browser stores this information and sometimes transfers it to the server. Some cookies are stored only during one session and deleted when the browser is closed. Other cookies are installed for an extended period.

Cracker - is someone who gains unauthorized access to a computer.

Datagram - is the unit of data, or packet, transmitted in a TCP/IP network. Each datagram contains source and destination addresses and data.

DHCP (Dynamic Host Configuration Protocol) - is a protocol intended for dynamic assignment of IP addresses. In addition to dynamic assignment, DHCP can support simpler methods of static assignment of addresses allowing addresses to be assigned both manually and automatically. DHCP can cause problems. First is the problem of coordinating the address database in DHCP and DNS services. Second is an instability of the IP addresses that complicates network control procedures.

DNS (Domain Name System) - is a system of names officially assigned to individual networks and servers on the Internet as an easier method of remembering those names than a string of IP numbers. Example: www.agnitum.com is easier to remember than the IP address 216.12.219.12. The DNS service automatically translates the name to its corresponding IP address. The DNS system requires a static configuration of its tables, which define the one to one correspondence of computer names and IP addresses.The DNS protocol is an auxiliary service protocol at the application level. This protocol is an asymmetric one - DNS servers and DNS clients are defined in it. DNS servers store a part of the distributed database that contains the correspondence of names and IP addresses. This database is distributed according to administrative domains on the Internet. Clients of the DNS server know the IP address of the server of their administrative domain and they transfer a request with the DNS name according to the IP protocol, and then wait for the IP address that corresponds to this name. If the requested information is stored in the DNS server's database, the server immediately transfers the answer to the browser. Otherwise, the server transfers a request to the DNS server of another domain, which can either process the request itself or transfer it to another DNS server. All the DNS servers are integrated in the hierarchical structure according to the domain hierarchy of the Internet. A client (browser) interrogates these name servers until it finds the necessary correspondence. The DNS database has a tree structure called a domain area of names, in which each domain (a node of the tree) has a name and can contain sub-domains. The name of a domain identifies its position in this database in relation to the parent domain, and points in the name separate parts corresponding to the domain nodes.

DNS address - is a network address of a character type, in which the names of different domains are separated from each other by a dot (.). This address corresponds to the network address in the DNS database. Example www.agnitum.com.

DOS (Denial of Service) attack - is an attack on one's computer from other computers on a network or the Internet. This type of attack takes advantage of errors in network software or protocols and results in a disturbance of the normal operating conditions of your computer.

Firewall - a software or hardware device used as a protective barrier between a computer and the network that computer is connected to.

FTP (File Transfer Protocol) - is an Internet service for transferring files from one computer to another.

Gateway - is a computer connecting two networks and transmitting packages from one network to another (the same as a router).

GGP (Gateway to Gateway Protocol) - is a protocol two gateways use to interact with one another, specifically in executing control tasks.

GUI (Graphics User Interface) - is the type of software interface most computer users have come to expect in the last decade. It uses button images, icons, desktop analogy, etc. Apple's Macintosh computer is one of the first popular computers with a GUI. MS Windows is a later GUI.

HTML (HyperText Markup Language) - is a language of tags that can be embedded into a text file that a browser uses to make a fancy web page and makes it easy to browse here and there over the Internet. With HTML a web page author can combine graphics with text, enhance that text appearance and add links in the page that can supply an interaction with the person viewing that page in a browser.

ICMP (Internet Control Message Protocol) - is used to send error and control messages between computers connected on a network.

IGMP (Internet Group Management Protocol) - is used by nodes and routers to support group dispatch of messages. It informs the physical network of the nodes that are currently combined into groups and to what groups those nodes belong.

IP (Internet Protocol) - is a network-level set of Internet protocols.

IP address - is an address comprised of 4 bytes, usually represented as 4 decimal numbers separated by a dot (.). Example: 64.176.127.178. The IP address is used at the network level. A network manager assigns it when configuring computers and routers. The IP address consists of two parts: the network number and the node number. The manager can select the network number arbitrarily if the network is not connected to the Internet. Otherwise, the IP address is assigned according to recommendations made by the special Internet subdivision (Network Information Center, NIC).

IP datagram - is the unit of data, or packet, transmitted in a TCP/IP network. Each datagram contains source and destination addresses and data.

Java - the trademarked named of a programming language designed to develop applications, especially ones for the Internet, that can operate on different platforms.

Java applet - is a computer program written in the Java programming language and is embedded in a web page. Although the program is integrated directly with a web page, it is stored as a separate file.

JavaScript - is a program embedded within a web page, generally with the purpose to enhance the viewer's experience when browsing that web page.

LAN (Local Area Network) - a small network of computers usually located within one building.

Loopback - is a special IP address (127.0.0.1) reserved for feedback when testing software on a node without having to dispatch the package on the network.

Multicast - is a special group of IP addresses beginning with the sequence 255. If a multicast address is specified as an assignment address in a package, all nodes having that address will receive that package. The nodes identify themselves by which groups they belong to. The same node can be included in several groups. Such messages are called group messages. A group address is not divided into network and node number fields and is processed by a router in a special way.

NetBIOS (Network Basic Input/Output System) - is a basic network protocol developed by IBM for sharing files and printers over a network. NetBIOS is supported by IBM (IBM PC LAN), Novell NetWare, Microsoft Windows for Workgroups networks and the networks of other companies.

Network - any collection of computers connected so that data can be exchanged between them.

Node - a network connection point, such as a personal computer in a LAN or a terminal connected to a minicomputer or mainframe.

Plug-ins - software modules that work with a major software package to enhance its capability.

Port - is a number corresponding to data types so that different types of data can be efficiently sent to their appropriate application programs. A port is not a physical plug or socket. It is assigned in software only.

Protocol - is a set of accepted rules for a particular type of communication interchange. When two computers are programmed to use the same protocol when transferring data between them, that data will be correctly relayed. Otherwise, if two different protocols are being used, then the transfer of data will not occur.

Proxy server - is software that manages the connection between a sender and a receiver. All input is redirected to a different port, which prevents a cracker from accessing a private network.

Referrer - is part of the HTTP request that contains the URL of the last page visited before the request.

Remote Procedure Call - a simplified method of having two computers exchange data directly into each's running applications to make these data exchanges easier for the user.

Router - is a computer connecting two networks and transmitting packages from one network to other (the same as a gateway).

Server - is a computer that sends files and web pages to client computers over a network.

Service protocols - a method used by a server to update information on a client machine.

SSL (Secure Sockets Layer) - is a special protocol designed to support safe access to web servers. This is a dominating protocol for encoding exchange between a client and server.

Stealth mode - a condition by which a computer can access the Internet without letting other computers (possibly those owned by crackers) know that it is doing so.

System tray - that part of Windows' task bar that contains the time and the icons of each program that is running or that can be instantly launched.

Task bar - that part of Window's that shows a button for each running application.

TCP (Transmission Control Protocol) - is a main traffic protocol ensuring reliable delivery of information. TCP connection is always carried out between two points.

Telnet (Telecommunications Network Protocol) - is a program for linking Internet tools, such as browsers, with databases, library directories and other world-wide information resources.

Trojan horse - is a program surreptitiously placed on your computer that establishes a connection to a remote intruder. The Trojan operates under the instructions arriving from the attacker's computer or automatically transmits the information the intruder programmed it to transmit. This information is generally passwords or other confidential data stored on the user's computer.

UDP (User Datagram Protocol) - is a protocol that provides simple, low-level tools of transmission and reception of network packets directly to applications. The UDP protocol does not control the data transfer and does not define a correlation between the individual messages received or sent. Since UDP does not guarantee a reliable data transfer, applications using this protocol usually number each package and, if necessary, initialize a data retransmission. All applications that require a broadcasting or group function of IP connections should operate only with the UDP protocol.

URL (Universal Resource Locator) - is a World Wide Web universally recognized address for the identification and retrieval of resources such as a web site, a web page, an image, a video, a file, etc. A URL has the following appearance: [protocol]://host /[: port][path], where: Protocol is a protocol name such as http, ftp etc. If no protocol is specified, http is assumed. Host is the IP address or DNS address. Port is an optional parameter specifying the port number of the server. Example, with the http protocol, port 80 is generally used and is assumed if no port is specified with the http protocol. Path is the full path to the file, including its name. If the path is not specified, the server transmits its main (home) page.

VBScript - is a program embedded within a web page, generally with the purpose to enhance the viewer's experience when browsing that web page.

Virus - a piece of software, generally detrimental, that can copy itself into an application and thereby multiply from one computer to another by way of floppies or e-mail without the user's consent or knowledge.

Web - is an abstract Internet space, in which a user can access multiple file types and archives connected by hyperlinks. See also HTML.